SeExpr

Public Member Functions | Public Attributes | List of all members
SeExpr2::Curve< T >::CV Struct Reference

`#include <Curve.h>`

## Public Member Functions
| CV (double pos, const T &val, InterpType type)

## Public Attributes
double | _pos
T | _val
T | _deriv
InterpType | _interp

## Detailed Description

### template<class T>
struct SeExpr2::Curve< T >::CV

Definition at line 50 of file Curve.h.

## Constructor & Destructor Documentation

## ◆ CV()

template<class T>

SeExpr2::Curve< T >::CV::CV | ( | double | pos,
|  | const T & | val,
|  | InterpType | type
| ) |  |
| inline

Definition at line 51 of file Curve.h.

## Member Data Documentation

## ◆ _deriv

template<class T>

T SeExpr2::Curve< T >::CV::_deriv

Definition at line 54 of file Curve.h.

Referenced by SeExpr2::Curve< T >::preparePoints().

## ◆ _interp

template<class T>

InterpType SeExpr2::Curve< T >::CV::_interp

Definition at line 55 of file Curve.h.

Referenced by GenericCurveEditable< TVAL >::appendString(), CCurveControl::CCurveControl(), CurveControl::CurveControl(), CCurveScene::mousePressEvent(), CurveScene::mousePressEvent(), and SeExpr2::Curve< T >::preparePoints().

## ◆ _pos

template<class T>

double SeExpr2::Curve< T >::CV::_pos

Definition at line 53 of file Curve.h.

Referenced by GenericCurveEditable< TVAL >::appendString(), CCurveControl::CCurveControl(), CurveControl::CurveControl(), SeExpr2::Curve< T >::cvLessThan(), CCurveScene::drawPoints(), CurveScene::drawPoints(), and SeExpr2::Curve< T >::preparePoints().

## ◆ _val

template<class T>

T SeExpr2::Curve< T >::CV::_val

Definition at line 54 of file Curve.h.

Referenced by GenericCurveEditable< TVAL >::appendString(), CCurveControl::CCurveControl(), CurveControl::CurveControl(), CCurveScene::drawPoints(), CurveScene::drawPoints(), and SeExpr2::Curve< T >::preparePoints().

The documentation for this struct was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/Curve.h